﻿using UnityEngine;

namespace RocketRevenueTracker
{
    public class RocketRevenueTrackerController
    {
        private static RocketRevenueTracker[] _revenueTrackers;

        [RuntimeInitializeOnLoadMethod(RuntimeInitializeLoadType.AfterSceneLoad)]
        private static void Start()
        {
            _revenueTrackers = new RocketRevenueTracker[]
            {
                new RocketRevenueTracker(0.03f, "_03"),
                new RocketRevenueTracker(0.05f, "_05"),
                new RocketRevenueTracker(0.10f, "_10"),
                new RocketRevenueTracker(0.20f, "_20"),
                new RocketRevenueTracker(0.50f, "_50"),
                new RocketRevenueTracker(1.00f, "_100")
            };
        }
    }
}